Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Oneway_Invocation Class Reference

Encapsulate a one-way invocation. More...

`#include <Invocation.h>`

Inheritance diagram for TAO_GIOP_Oneway_Invocation:

[legend]
Collaboration diagram for TAO_GIOP_Oneway_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Oneway_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order=TAO_ENCAP_BYTE_ORDER)
| Constructor. More...
virtual | ~TAO_GIOP_Oneway_Invocation (void)
| Destructor. More...
void | start (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Establishes a connection to the remote server, initializes the GIOP headers in the output CDR. More...
int | invoke (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Send request, without blocking for any response. More...
TAO::SyncScope | sync_scope (void)
| Accessor for private member. More...
## Private Attributes
TAO::SyncScope | sync_scope_
| Our sync scope. More...

## Detailed Description

Encapsulate a one-way invocation.

## Constructor & Destructor Documentation

TAO_GIOP_Oneway_Invocation::TAO_GIOP_Oneway_Invocation | ( | TAO_Stub * | stub,
|  | const char * | operation,
|  | CORBA::ULong | opname_len,
|  | CORBA::Boolean | argument_flag,
|  | TAO_ORB_Core * | orb_core,
|  | int | byte_order = TAO_ENCAP_BYTE_ORDER
| ) |

| Constructor.

ACE_INLINE TAO_GIOP_Oneway_Invocation::~TAO_GIOP_Oneway_Invocation | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_GIOP_Oneway_Invocation::invoke | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

| Send request, without blocking for any response.

void TAO_GIOP_Oneway_Invocation::start | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

| Establishes a connection to the remote server, initializes the GIOP headers in the output CDR. Reimplemented from TAO_GIOP_Invocation.

ACE_INLINE TAO::SyncScope TAO_GIOP_Oneway_Invocation::sync_scope | ( | void |  | ) |

| Accessor for private member.

## Member Data Documentation

TAO::SyncScope TAO_GIOP_Oneway_Invocation::sync_scope_`[private]`

| Our sync scope.

The documentation for this class was generated from the following files:

- Invocation.h
- Invocation.cpp
- Invocation.i